Package net.shibboleth.shared.net

# Interface URIComparator

All Known Implementing Classes:
  `BasicURLComparator`

public interface URIComparator
Component for testing URI's as to equality.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compare(String uri1, String uri2)`
Compare two URI's (represented as strings) for equivalence.

## Method Details

### compare

boolean compare(@Nullable String uri1, @Nullable String uri2) throws URIException
Compare two URI's (represented as strings) for equivalence.

Parameters:
  `uri1` - first URI to compare
  `uri2` - second URI to compare
Returns:
  true if the URI's are equivalent, false otherwise
Throws:
  `URIException` - if the URI's can not be successfully evaluated